package p04_if;

import java.util.Random;

public class SpojnikiLogiczne {

	public static void main(String[] args) {
		Random random = new Random();
		int x = random.nextInt(100);
		int y = random.nextInt(100);
		System.out.println("Wylosowane liczby: " + x + ", " + y);
		
		// Wprowadzenie: gdy sprawdzić dwa warunki i dopiero cś zrobić, to możemy
		// a) zagniezdzić ifa - raczej "brzydkie", jedyną zaletą jest to, że mogę napisać oddzielne else do obu części warunku
		if(x > 50) {
			if(y > 50) {
				System.out.println("obie liczby >50");
			} else {
				System.out.println("y nie jest >50");
			}
		} else {
			System.out.println("x nie jest >50");
		}
		System.out.println();
		
		// b) użyć spójników logicznych
		// && - logiczne "i", "and", koniunkcja
		if(x > 50 && y > 50) {
			System.out.println("obie liczby >50");
		} else {
			System.out.println("jakaś liczba jest <=50");
		}

		// || - logiczne "lub", "or", alternatywa
		if(x > 50 || y > 50) {
			System.out.println("istnieje liczba >50");
		} else {
			System.out.println("żadna z liczb nie jest >50");
		}
	}

}
